Package wx :: Class PyCommandEvent

[frames | no frames]

## Type PyCommandEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        PyCommandEvent

Known Subclasses:
  `CaptionBarEvent`, `ColourSelectEvent`, `CommandTreeEvent`, `FlatNotebookEvent`, `GenButtonEvent`, `GridColMoveEvent`, `GridRowMoveEvent`, `HyperLinkEvent`, `IntUpdatedEvent`, `MaskedComboBoxSelectEvent`, `MultiSplitterEvent`, `MVCTreeEvent`, `NumberUpdatedEvent`, `TimeUpdatedEvent`

wx.PyCommandEvent can be used as a base class for implementing custom event types in Python, where the event shoudl travel up to parent windows looking for a handler. You should derived from this class instead of `wx.CommandEvent` because this class is Python-aware and is able to transport its Python bits safely through the wxWidgets event system and have them still be there when the event handler is invoked.

See Also:

`wx.PyEvent`

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
| `__del__(self)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, eventType=wxEVT_NULL, id=0)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:00 2007 | http://epydoc.sf.net